Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.mapping.impl
Class DefaultMappingResults

    java.lang.Object
      org.springframework.binding.mapping.impl.DefaultMappingResults

All Implemented Interfaces:
  MappingResults

    public class DefaultMappingResults

extends java.lang.Object
implements MappingResults

Default mapping results implementation.

Author:
  Keith Donald

Constructor Summary
`DefaultMappingResults(java.lang.Object source, java.lang.Object target, java.util.List mappingResults)` Creates a new mapping results object.

Method Summary
`java.util.List` | `getAllResults()` A list of all the mapping results between the source and target.
`java.util.List` | `getErrorResults()` A list of all error results that occurred.
`java.util.List` | `getResults(MappingResultsCriteria criteria)` Get all results that meet the given result criteria.
`java.lang.Object` | `getSource()` The source object that was mapped from.
`java.lang.Object` | `getTarget()` The target object that was mapped to.
`boolean` | `hasErrorResults()` Whether some results were errors.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultMappingResults

    public DefaultMappingResults(java.lang.Object source,
                                 java.lang.Object target,
                                 java.util.List mappingResults)

  Creates a new mapping results object.

  Parameters:
    `source` - the source
    `target` - the target
    `mappingResults` - the actual results produced by `DefaultMapper`

Method Detail

### getSource

    public java.lang.Object getSource()

  Description copied from interface: `MappingResults`
  The source object that was mapped from.

  Specified by:
    `getSource` in interface `MappingResults`

### getTarget

    public java.lang.Object getTarget()

  Description copied from interface: `MappingResults`
  The target object that was mapped to.

  Specified by:
    `getTarget` in interface `MappingResults`

### getAllResults

    public java.util.List getAllResults()

  Description copied from interface: `MappingResults`
  A list of all the mapping results between the source and target.

  Specified by:
    `getAllResults` in interface `MappingResults`

### hasErrorResults

    public boolean hasErrorResults()

  Description copied from interface: `MappingResults`
  Whether some results were errors. Returns true if mapping errors occurred.

  Specified by:
    `hasErrorResults` in interface `MappingResults`

### getErrorResults

    public java.util.List getErrorResults()

  Description copied from interface: `MappingResults`
  A list of all error results that occurred.

  Specified by:
    `getErrorResults` in interface `MappingResults`

### getResults

    public java.util.List getResults(MappingResultsCriteria criteria)

  Description copied from interface: `MappingResults`
  Get all results that meet the given result criteria.

  Specified by:
    `getResults` in interface `MappingResults`
  Parameters:
    `criteria` - the mapping result criteria

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD